%define hsc_name ghc
%define hsc_version %ghc_version
%define hsc_namever %hsc_name
%define h_pkg_name network
%define f_pkg_name network
%define pkg_libdir %_libdir/%hsc_name-%hsc_version/lib/%h_pkg_name-%version

Name: %hsc_namever-%f_pkg_name
Version: 2.2.1.7
Release: alt6.1

Summary: networking-related facilities
License: BSD
Group: Development/Haskell

Source: %h_pkg_name-%version.tar

Packager: Alexander Myltsev <avm@altlinux.ru>

BuildRequires: ghc haddock %hs_package_dependencies parsec
BuildRequires(pre): rpm-build-haskell


%description
Networking facilities for the Glorious Haskell Compiler.


%prep
%setup -n %h_pkg_name-%version


%build
%hs_configure2
%hs_build

%install
%hs_setup copy --destdir=%buildroot
install -m 755 %f_pkg_name.pkg %buildroot%pkg_libdir

mkdir -p %buildroot%hs_pkgconfdir
install -D -m 644 %f_pkg_name.pkg %buildroot%hs_pkgconfdir/%f_pkg_name-%version.conf

%hs_gen_filelist

cd %buildroot%_datadir/doc/%hsc_namever-%f_pkg_name-%version
rm -rf doc LICENSE


%files -f %name-files.nonprof
%hs_pkgconfdir/%f_pkg_name-%version.conf
%doc dist/doc/html
%doc LICENSE


%changelog
* Tue Dec 07 2010 Denis Smirnov <mithraen@altlinux.ru> 2.2.1.7-alt6.1
- rebuild with ghc 7.0/var/lib/altlinux/sisyphus/files/SRPMS/ghc-ansi-terminal-0.5.3-alt1.src.rpm

* Mon Sep 13 2010 Denis Smirnov <mithraen@altlinux.ru> 2.2.1.7-alt6
- fix pkg_dir

* Mon Sep 13 2010 Denis Smirnov <mithraen@altlinux.ru> 2.2.1.7-alt5
- auto rebuild

* Mon Sep 13 2010 Denis Smirnov <mithraen@altlinux.ru> 2.2.1.7-alt4
- auto rebuild

* Thu Sep 09 2010 Denis Smirnov <mithraen@altlinux.ru> 2.2.1.7-alt1
- 2.2.1.7
- ghc 6.12.3

* Thu Sep 09 2010 Denis Smirnov <mithraen@altlinux.ru> 2.2.0.1-alt1.1.1
- rebuild with new haskell

* Wed Mar 17 2010 Denis Smirnov <mithraen@altlinux.ru> 2.2.0.1-alt1.1
- rebuild with new haskell

* Wed Nov 19 2008 Alexander Myltsev <avm@altlinux.ru> 2.2.0.1-alt1
- new version.

* Sat Jul 12 2008 Alexander Myltsev <avm@altlinux.ru> 2.2.0.0-alt1
- spec file autogenerated by cabal-rpm
